Name:           gstreamer1-plugin-libav
Version:        1.22.6
Release:        1%{?dist}
Summary:        GStreamer FFmpeg/LibAV plugin
License:        LGPLv2+
URL:            https://gstreamer.freedesktop.org/
Source0:        %{url}/src/gst-libav/gst-libav-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  gstreamer1-devel >= %{version}
BuildRequires:  gstreamer1-plugins-base-devel >= %{version}
BuildRequires:  orc-devel
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel
BuildRequires:  ffmpeg-devel

Obsoletes:      gstreamer1-libav < 1:1.20.3-4
Provides:       gstreamer1-libav = 1:%{version}-%{release}
Provides:       gstreamer1-libav%{?_isa} = 1:%{version}-%{release}

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package provides FFmpeg/LibAV GStreamer plugin.

%prep
%autosetup -p3 -n gst-libav-%{version}

%build
%meson  \
    -D package-name="OpenAnolis GStreamer-plugin-libav package" \
    -D package-origin="https://openanolis.cn/" \
    -D doc=disabled

%meson_build

%install
%meson_install

%files
%doc AUTHORS ChangeLog NEWS README.md
%license COPYING
%{_libdir}/gstreamer-1.0/libgstlibav.so

%changelog
* Tue Mar 12 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 1.22.6-1
- Initial package.
